Loading...
Searching...
No Matches
Gudhi::skeleton_blocker::Skeleton_blocker_off_reader< Complex > Class Template Reference

Class that allows to load a Skeleton_blocker_complex from an off file. More...

`#include <include/gudhi/Skeleton_blocker/Skeleton_blocker_off_io.h>`

## Public Member Functions

| Skeleton_blocker_off_reader (const std::string &name_file, Complex &read_complex, bool read_only_points=false, bool is_flag=false)
bool | is_valid () const

## Detailed Description

template<typename Complex>
class Gudhi::skeleton_blocker::Skeleton_blocker_off_reader< Complex >

Class that allows to load a Skeleton_blocker_complex from an off file.

Examples
  Garland_heckbert.cpp, and Rips_contraction.cpp.

## Constructor & Destructor Documentation

## Skeleton_blocker_off_reader()

template<typename Complex>

Gudhi::skeleton_blocker::Skeleton_blocker_off_reader< Complex >::Skeleton_blocker_off_reader | ( | const std::string & | name_file,
|  | Complex & | read_complex,
|  | bool | read_only_points = false,
|  | bool | is_flag = false )

inline

name_file : file to read read_complex : complex that will receive the file content read_only_points : specify true if only the points must be read

## Member Function Documentation

## is_valid()

template<typename Complex>

bool Gudhi::skeleton_blocker::Skeleton_blocker_off_reader< Complex >::is_valid | ( |  | ) | const

inline

return true if reading did not meet problems.

The documentation for this class was generated from the following file:

- include/gudhi/Skeleton_blocker/Skeleton_blocker_off_io.h